org.apache.sysds.runtime.compress.utils

## Class DoubleIntListHashMap.DIListEntry

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DoubleIntListHashMap.DIListEntry

- All Implemented Interfaces:
    Comparable<DoubleIntListHashMap.DIListEntry>, Comparator<DoubleIntListHashMap.DIListEntry>
  Enclosing class:
    DoubleIntListHashMap

      public class DoubleIntListHashMap.DIListEntry
      extends Object
      implements Comparator<DoubleIntListHashMap.DIListEntry>, Comparable<DoubleIntListHashMap.DIListEntry>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `key`
    `DoubleIntListHashMap.DIListEntry` | `next`
    `IntArrayList` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIListEntry(double ekey, IntArrayList evalue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(DoubleIntListHashMap.DIListEntry arg0, DoubleIntListHashMap.DIListEntry arg1)`
    `int` | `compareTo(DoubleIntListHashMap.DIListEntry o)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### key

          public double key

    - #### value

          public IntArrayList value

    - #### next

          public DoubleIntListHashMap.DIListEntry next

  - ### Constructor Detail

    - #### DIListEntry

          public DIListEntry(double ekey,
                             IntArrayList evalue)

  - ### Method Detail

    - #### compareTo

          public int compareTo(DoubleIntListHashMap.DIListEntry o)

      Specified by:
        `compareTo` in interface `Comparable<DoubleIntListHashMap.DIListEntry>`

    - #### compare

          public int compare(DoubleIntListHashMap.DIListEntry arg0,
                             DoubleIntListHashMap.DIListEntry arg1)

      Specified by:
        `compare` in interface `Comparator<DoubleIntListHashMap.DIListEntry>`

Copyright © 2020 The Apache Software Foundation. All rights reserved.